# $Revision: 1.17 $, $Date: 2009/09/14 07:12:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Rsync
Summary:	File::Rsync - a wrapper module for rsync
Summary(pl.UTF-8):	File::Rsync - wrapper dla programu rsync
Name:		perl-File-Rsync
Version:	0.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fe745f0460454250bc4ed557de8f11ac
Patch0:		%{name}-misc.patch
URL:		http://search.cpan.org/dist/File-Rsync/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	rsync
%endif
Requires:	rsync
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Rsync is a Perl wrapper for the rsync program.

%description -l pl.UTF-8
File::Rsync jest wrapperem w Perlu dla programu rsync.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_vendorlib}/File/Rsync.pm
%dir %{perl_vendorlib}/File/Rsync
%{perl_vendorlib}/File/Rsync/Config.pm
%{_mandir}/man3/File::Rsync.*
%{_mandir}/man3/File::Config.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Rsync.spec,v $
Revision 1.17  2009/09/14 07:12:53  amateja
- updated to 0.43

Revision 1.16  2008/03/24 02:18:04  qboosh
- generic URL

Revision 1.15  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.13  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.12  2006/01/22 12:45:39  agaran
- updated to 0.42 rel 0.1

Revision 1.11  2005/05/18 22:31:59  czucz
- updated to 0.38

Revision 1.10  2004/12/12 10:23:48  adamg
- updated to 0.35

Revision 1.9  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.8  2004/11/03 22:30:21  paladine
- formatting

Revision 1.7  2004/08/21 21:02:57  adamg
- updated to 0.34

Revision 1.6  2004/08/08 18:12:43  adamg
- updated to 0.33

Revision 1.5  2004/08/01 22:24:59  ankry
- added missing dir, rel. 2

Revision 1.4  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.3  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.2  2004/01/01 20:02:36  pius
- added missing md5 sum

Revision 1.1  2004/01/01 19:59:33  pius
- initial release
